# Souvislost neorientovaného grafu

Graf $G$ je **souvislý**, pokud pro každé dva vrcholy $x, y$ existuje v grafu $G$ cesta z $x$ do $y$. V opačném případě je graf $G$ nesouvislý.

## Sled, cesta, tah

**Sled** (z vrcholu $u$ do vrcholu $v$) v grafu $G$ je **libovolná posloupnost** ($u = v_{0}, v_{1}, \dots, v_{k} = v$), kde $v_{i}$ jsou **vrcholy grafu** $G$ a pro každé $i = 1, \dots, k$ je $v_{i-1}v_{i}$ hranou grafu $G$. Číslo $k$ je délka tohoto sledu. Říkáme, že sled prochází vrcholy $v_{0}, \dots, v_{k}$ nebo že na něm tyto vrcholy leží.
- Sled může procházet **vícekrát** **stejným vrcholem** i **stejnou hranou**.

**Cesta** z $u$ do $v$ v grafu $G$ je sled $(u = v_{0}, v_{1}, \dots, v_{k} = v)$, ve kterém se **každý vrchol** $v_{i}$ objevuje **pouze jednou**.

**Tah** z $u$ do $v$ v grafu $G$ je sled $(u = v_{0}, v_{1}, \dots, v_{k} = v)$, ve kterém se **každá hrana** objevuje **pouze jednou**.

**Relace na množině vrcholů** $V(G)$
- Relace $\sim$ s předpisem $u \sim v$, pokud v grafu $G$ existuje sled (sledová relace).
- vlastnosti sledové relace
	- a) **reflexivní** - triviální sled nulové délky $(u)$
	- b) **symetrická**
	- c) **tranzitivní** - složením sledů získáme opět sled
		- reflexivní a tranzitivní = **ekvivalence** - rozklad množiny $V(G)$ na třídy ekvivalence

### Komponenta grafu

**Komponenty grafu** $G$ jsou všechny indukované podgrafy grafu $G$ na jednotlivých třídách ekvivalence $\sim$.

- značí se $K$
- $K$ je maximální souvislý podgrafy grafu $G$
	- nejde jej rozšířit o další vrchol, nemá-li ztratit souvislost

Zjištění souvislosti grafu (komponenty grafu)
- lze využít Dijkstrův algoritmus

## Kružnice

**Uzavřený sled** v grafu $G$ je sled $(v_{0}, \dots, v_{k})$, ve kterém platí $v_{0} = v_{k}$.

**Kružnice** v grafu $G$ je uzavřený sled délky alespoň 3, ve kterém se vrchol $v_{0}$ objevuje právě dvakrát a každý ostatní vrchol grafu nejvýše jednou. Číslo $k$ je délka dané kružnice.

## Vlastnosti

Nechť $v$ je vrchol grafu $G$. Graf $G-v$, vzniklý odstraněním vrcholu $v$, je definován jako indukovaný podgraf grafu $G$ na množině $V(G)-\{v\}$.
- Souvislý graf vždy **obsahuje vrchol**, jehož **odstraněním** graf **neztratí souvislost**.

V souvislém grafu je $m \geq n-1$.
- $n$ - počet vrcholů
- $m$ - počet hran

Pokud $n \geq 2$, pak v grafu $G$ existuje $u, v \in V(G)$ tak, že $G-u$ a $G-v$ jsou souvislé.